Bug 74114 - cannot compile kernel
cannot compile kernel
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-09-16 07:56 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-16 07:56:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
Dont know if it is a problem of gcc or kernel. When try to do make bzimage i got
an error (something about va_list).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
2.make clean; make dep
3.make bzimage

Additional info:
Comment 1 Arjan van de Ven 2002-09-16 08:00:20 EDT
1) what kernel
2) what gcc
3) where
4) did you do a make mrproper
Comment 2 Need Real Name 2002-09-16 08:50:16 EDT
kernel 2.4.18-11
gcc 3.2
i didnt do a make mrproper

after trying again and making mrproper i got the same error. Also i noticed that
make dep complains about a file not found (stdarg.h), but the file is in an
include dir from gcc.
Comment 3 Arjan van de Ven 2002-09-16 08:54:16 EDT
I can compile the kernel-source stuff just fine here.....
(and it better, since the binary kernels we ship are compiled from that ;)
Comment 4 Bugzilla owner 2004-09-30 11:39:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.